# Transaction dry run

Transaction dry run

Endpoint: POST /v1/domains/{domainId}/external-accounts/transactions/dry-run
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)

## Request fields (application/json):

  - `externalAccountId` (string, required)

  - `parameters` (object, required) — one of (discriminator: type):
    - Transfer:
      - `externalTickerName` (string, required)
      - `amount` (string, required)
      - `destination` (object, required) — one of (discriminator: type):
        - Account:
          - `accountId` (string, required)
          - `type` (string, required)
            Enum: "Account"
        - Endpoint:
          - `endpointId` (string, required)
          - `type` (string, required)
            Enum: "Endpoint"
        - Address:
          - `address` (string, required)
          - `type` (string, required)
            Enum: "Address"
        - ExternalAccount:
          - `externalAccountId` (string, required)
          - `type` (string, required)
            Enum: "ExternalAccount"
      - `destination.tag` (string,null)
      - `type` (string, required)
        Enum: "Transfer"
    - Trade:
      - `baseExternalTickerName` (string, required)
      - `quoteExternalTickerName` (string, required)
      - `quantity` (string, required)
      - `direction` (string, required)
        Enum: "Buy", "Sell"
      - `type` (string, required)
        Enum: "Trade"

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.hint` (string, required)

  - `result.type` (string, required)
    Enum: "Success", "Failure"

  - `estimate` (object, required)

  - `estimate.fee` (string, required)

  - `estimate.minimum` (string, required)

  - `estimate.externalTickerName` (string, required)


